[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.ColRowMoved

Performs actions when a column or row is moved in the grid.

## Declaration

Source position: grids.pas line 1422

`protected procedure TCustomDrawGrid.ColRowMoved(`
`IsColumn: Boolean;`
`FromIndex: Integer;`
`ToIndex: Integer`
`); override;`

## Arguments

`IsColumn` |  | True if a column is moved in the method. False if a row is moved.
`FromIndex` |  | Position in the grid with the column or row values moved in the method.
`ToIndex` |  | Position in the grid where the values are stored after they have been moved.

## Description

ColRowMoved is overridden in TCustomDrawGrid to implement the virtual method defined in the ancestor class. It is used to perform actions when a column or a row is moved in the grid control.

ColRowMoved calls the MoveColRow method in the internal virtual grid for the class to change the position for the column or row. The OnColRowMoved event handler is signalled (when assigned) prior to exiting from the method.

ColRowMoved is called from the DoOPMoveColRow method, and occurs after Columns has been updated (when needed and enabled). It occurs before VisualChange is called or the bounds for an editor control are adjusted.

## See also

TCustomDrawGrid.OnColRowMoved |  | Event handler signalled when a column or row in the grid is moved.
TCustomGrid.ColRowMoved |  | Performs actions when a column or row is moved in the grid.
TCustomGrid.DoOPMoveColRow |  | Performs a move operation for the column or row at the specified position.